libxkbcommon 1.13.2 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Todo List

Page Error index

  The documentation of the log messages is a work in progress.

  detailed explanation and examples

Page Introduction to XKB
  Explain how to configure XKB, with examples
Page The XKB keymap text format, V1 and V2

  virtual flag

  highlight that there is reference counting for the modifiers, e.g. to manage multiple physical keys for the same modifier.

  MovePointer parameters

  PointerButton parameters

  LockPointerButton parameters

  SetPointerDefault parameters

  SwitchScreen

  ISOLock

  DeviceButton

  LockDeviceButton

  DeviceValuator

  ActionMessage

Page XKB Compatibility

  This page is work in progress. It aims to be exhaustive. Please report any issue.

  rationale

  syntax description

  rationale

  removal rationale

  feature description, removal rationale